=== debian/changelog ===
pgtap (0.95.0-3) unstable; urgency=medium

  * Pull patch from upstream to fix 9.5 installcheck failure.

 -- Christoph Berg <myon@debian.org>  Fri, 08 Jan 2016 20:49:59 +0100

pgtap (0.95.0-2) unstable; urgency=medium

  * Install html documentation instead of mmd.
  * Make pgtap a useful meta package depending on the PostgreSQL extension and
    libtap-parser-sourcehandler-pgtap-perl which provides pg_prove.
  * Use "pg_buildext loop" in rules file and fix installcheck tests.
  * Add myself to Uploaders.

 -- Christoph Berg <myon@debian.org>  Sat, 19 Dec 2015 21:20:03 +0100

pgtap (0.95.0-1) unstable; urgency=medium

  [ Markus Wanner ]
  * New upstream release 0.95.0. Closes: #723176, #729559, #784686.
  * Change to team maintenance, add myself as an uploader.
  * Allow per-Postgres-major-version packages, add a separate -doc one.
  * Add pgversions to restrict building against PostgreSQL 8.4 and newer
    (older versions would require compiling a C extension, which we don't
    support).
  * Update build dependencies, drop dependencies on libpq, add a
    dependency on the postgres server package.
  * Add an autopkgtest on installcheck.
  * Adjust watch-file to monitor releases on github.
  * Bump S-V to 3.9.6.
  * Add Vcs-* fields for the new git packaging repository.

 -- Christoph Berg <christoph.berg@credativ.de>  Tue, 08 Sep 2015 12:03:59 +0200
