=== debian/control ===
Source: pgtap
Priority: extra
Maintainer: Debian PostgreSQL Maintainers <pkg-postgresql-public@lists.alioth.debian.org>
Uploaders: Pierre Chifflier <pollux@debian.org>,
    Christoph Berg <myon@debian.org>,
    Markus Wanner <markus@bluegap.ch>
Build-Depends: debhelper (>= 8),
    postgresql-server-dev-all (>= 153~),
    libtap-parser-sourcehandler-pgtap-perl,
    libtext-multimarkdown-perl
Standards-Version: 3.9.6
Section: database
Homepage: http://pgtap.org/
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-postgresql/pgtap.git
Vcs-Git: https://alioth.debian.org/anonscm/git/pkg-postgresql/pgtap.git

Package: pgtap
Architecture: all
Depends: ${misc:Depends},
    postgresql-pgtap,
    libtap-parser-sourcehandler-pgtap-perl,
Description: Unit testing framework for PostgreSQL
 pgTAP is a suite of database functions that make it easy to write
 TAP-emitting unit tests in psql scripts suitable for harvesting,
 analysis, and reporting by a TAP harness, such as those used in Perl
 and PHP applications.
 .
 TAP is the Test Anything Protocol (http://testanything.org/).
 .
 This meta package depends on the PostgreSQL extension and the package
 providing pg_prove.

Package: pgtap-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: Unit testing framework for PostgreSQL
 pgTAP is a suite of database functions that make it easy to write
 TAP-emitting unit tests in psql scripts suitable for harvesting,
 analysis, and reporting by a TAP harness, such as those used in Perl
 and PHP applications.
 .
 TAP is the Test Anything Protocol (http://testanything.org/).
 .
 This package contains the documentation for pgTAP.

Package: postgresql-9.5-pgtap
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends},
    ${perl:Depends},
    postgresql-9.5
Replaces: pgtap (<< 0.95)
Breaks: pgtap (<< 0.95)
Recommends: pgtap-doc,
    libtap-parser-sourcehandler-pgtap-perl,
    libtest-harness-perl,
    libtap-harness-archive-perl
Provides: postgresql-pgtap
Description: Unit testing framework extension for PostgreSQL 9.5
 pgTAP is a suite of database functions that make it easy to write
 TAP-emitting unit tests in psql scripts suitable for harvesting,
 analysis, and reporting by a TAP harness, such as those used in Perl
 and PHP applications.
 .
 TAP is the Test Anything Protocol (http://testanything.org/).
 .
 This package contains the extension for PostgreSQL 9.5.
