=== debian/tests/control ===
Depends: @, postgresql-server-dev-all, make
Tests: installcheck
Restrictions: allow-stderr
