=== debian/changelog ===
pgtap (0.96.0-2) unstable; urgency=medium

  * Use debian/tests/control.in to correctly depend on
    postgresql-contrib-*, bump pg-server-dev-all requirement to
    (>= 171~) for this.
  * debian/tests/installcheck: Rebuilt sql/pgtap.sql, it is version-dependant.

 -- Christoph Berg <myon@debian.org>  Sat, 04 Jun 2016 18:26:19 +0200

pgtap (0.96.0-1) unstable; urgency=medium

  * New upstream release: 0.96.0.
  * Update d/copyright, alter to machine readable format.
  * Extend the short descriptions of pgtap and pgtap-doc, so they
    are slightly different.
  * Bump S-V: no changes required
  * Add doc-base registration for pgtap-doc.
  * Use secure link for the Vcs-Browser field.
  * Bump d/compat to require version 9.
  * Add postgresql-contrib to the autopkgtest requirements.

 -- Markus Wanner <markus@bluegap.ch>  Fri, 03 Jun 2016 19:41:48 +0200
