=== debian/control ===
--- 
+++ 
@@ -4,14 +4,14 @@
 Uploaders: Pierre Chifflier <pollux@debian.org>,
     Christoph Berg <myon@debian.org>,
     Markus Wanner <markus@bluegap.ch>
-Build-Depends: debhelper (>= 8),
-    postgresql-server-dev-all (>= 153~),
+Build-Depends: debhelper (>= 9~),
+    postgresql-server-dev-all (>= 171~),
     libtap-parser-sourcehandler-pgtap-perl,
     libtext-multimarkdown-perl
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Section: database
 Homepage: http://pgtap.org/
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-postgresql/pgtap.git
+Vcs-Browser: https://anonscm.debian.org/gitweb/?p=pkg-postgresql/pgtap.git
 Vcs-Git: https://alioth.debian.org/anonscm/git/pkg-postgresql/pgtap.git
 
 Package: pgtap
@@ -19,7 +19,7 @@
 Depends: ${misc:Depends},
     postgresql-pgtap,
     libtap-parser-sourcehandler-pgtap-perl,
-Description: Unit testing framework for PostgreSQL
+Description: Unit testing framework for PostgreSQL - metapackage
  pgTAP is a suite of database functions that make it easy to write
  TAP-emitting unit tests in psql scripts suitable for harvesting,
  analysis, and reporting by a TAP harness, such as those used in Perl
@@ -27,14 +27,14 @@
  .
  TAP is the Test Anything Protocol (http://testanything.org/).
  .
- This meta package depends on the PostgreSQL extension and the package
+ This metapackage depends on the PostgreSQL extension and the package
  providing pg_prove.
 
 Package: pgtap-doc
 Section: doc
 Architecture: all
 Depends: ${misc:Depends}
-Description: Unit testing framework for PostgreSQL
+Description: Unit testing framework for PostgreSQL - documentation
  pgTAP is a suite of database functions that make it easy to write
  TAP-emitting unit tests in psql scripts suitable for harvesting,
  analysis, and reporting by a TAP harness, such as those used in Perl
