=== debian/tests/control ===
Depends: @, postgresql-server-dev-all, postgresql-contrib-9.5, make, patch
Tests: installcheck
Restrictions: allow-stderr
