=== debian/changelog ===
pgtap (0.97.0-2) unstable; urgency=medium

  * Rebuild after rebase on top of 0.96.0-3.
  * Drop patch 9.6, it's included upstream.

 -- Markus Wanner <markus@bluegap.ch>  Sat, 03 Dec 2016 09:13:03 +0100

pgtap (0.97.0-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patch Makefile-doc, add DEP3 tags.
  * Update debian/control: build against Postgres 9.6 by default.

 -- Markus Wanner <markus@bluegap.ch>  Sat, 03 Dec 2016 08:50:17 +0100

pgtap (0.96.0-3) unstable; urgency=medium

  * Upload with 9.6 support.

 -- Christoph Berg <myon@debian.org>  Sat, 24 Sep 2016 12:21:03 +0200
