=== debian/control ===
--- 
+++ 
@@ -44,11 +44,11 @@
  .
  This package contains the documentation for pgTAP.
 
-Package: postgresql-9.5-pgtap
+Package: postgresql-9.6-pgtap
 Architecture: all
 Depends: ${shlibs:Depends}, ${misc:Depends},
     ${perl:Depends},
-    postgresql-9.5
+    postgresql-9.6
 Replaces: pgtap (<< 0.95)
 Breaks: pgtap (<< 0.95)
 Recommends: pgtap-doc,
@@ -56,7 +56,7 @@
     libtest-harness-perl,
     libtap-harness-archive-perl
 Provides: postgresql-pgtap
-Description: Unit testing framework extension for PostgreSQL 9.5
+Description: Unit testing framework extension for PostgreSQL 9.6
  pgTAP is a suite of database functions that make it easy to write
  TAP-emitting unit tests in psql scripts suitable for harvesting,
  analysis, and reporting by a TAP harness, such as those used in Perl
@@ -64,5 +64,5 @@
  .
  TAP is the Test Anything Protocol (http://testanything.org/).
  .
- This package contains the extension for PostgreSQL 9.5.
+ This package contains the extension for PostgreSQL 9.6.
