=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Written by Pierre Chifflier <pollux@debian.org> and
#            Markus Wanner <markus@bluegap.ch>

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# Using pg_buildext
include /usr/share/postgresql-common/pgxs_debian_control.mk

%:
	dh $@

override_dh_auto_build:

override_dh_auto_test:
	# nothing to do here, see debian/tests/* instead

override_dh_auto_install:
	+pg_buildext loop postgresql-%v-pgtap
	# remove extra documentation copies
	rm -rf debian/*/usr/share/doc/postgresql-doc-*/

override_dh_installdocs:
	# build docs here because "pg_buildext loop" invokes "make clean"
	$(MAKE) html
	dh_installdocs

override_dh_auto_clean:
	$(MAKE) clean
