=== debian/tests/control ===
Depends: @, postgresql-server-dev-all, postgresql-contrib-9.6, make, patch
Tests: installcheck
Restrictions: allow-stderr
