## pgtap 0.98.0-22-gda005fb

=== debian/changelog ===
pgtap (0.98.0-22-gda005fb-1) unstable; urgency=medium

  * New upstream snapshot.
  * Move packaging repository to salsa.debian.org
  * Move maintainer address to team+postgresql@tracker.debian.org.

 -- Christoph Berg <christoph.berg@credativ.de>  Tue, 31 Jul 2018 13:05:05 +0200

pgtap (0.97.0-3) unstable; urgency=medium

  * Team upload.

  [ Michael Banck ]
  * debian/patches/v10-testsuite.patch: New patch, adds v10 compatibility to
    the testsuite.

 -- Christoph Berg <christoph.berg@credativ.de>  Tue, 26 Sep 2017 10:04:03 +0200
