=== debian/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Source: pgtap
-Priority: extra
-Maintainer: Debian PostgreSQL Maintainers <pkg-postgresql-public@lists.alioth.debian.org>
+Priority: optional
+Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
 Uploaders: Pierre Chifflier <pollux@debian.org>,
     Christoph Berg <myon@debian.org>,
     Markus Wanner <markus@bluegap.ch>
@@ -8,11 +8,11 @@
     postgresql-server-dev-all (>= 171~),
     libtap-parser-sourcehandler-pgtap-perl,
     libtext-multimarkdown-perl
-Standards-Version: 3.9.8
+Standards-Version: 4.1.1
 Section: database
 Homepage: http://pgtap.org/
-Vcs-Browser: https://anonscm.debian.org/gitweb/?p=pkg-postgresql/pgtap.git
-Vcs-Git: https://alioth.debian.org/anonscm/git/pkg-postgresql/pgtap.git
+Vcs-Browser: https://salsa.debian.org/postgresql/pgtap
+Vcs-Git: https://salsa.debian.org/postgresql/pgtap.git
 
 Package: pgtap
 Architecture: all
@@ -44,11 +44,11 @@
  .
  This package contains the documentation for pgTAP.
 
-Package: postgresql-9.6-pgtap
+Package: postgresql-10-pgtap
 Architecture: all
 Depends: ${shlibs:Depends}, ${misc:Depends},
     ${perl:Depends},
-    postgresql-9.6
+    postgresql-10
 Replaces: pgtap (<< 0.95)
 Breaks: pgtap (<< 0.95)
 Recommends: pgtap-doc,
@@ -56,7 +56,7 @@
     libtest-harness-perl,
     libtap-harness-archive-perl
 Provides: postgresql-pgtap
-Description: Unit testing framework extension for PostgreSQL 9.6
+Description: Unit testing framework extension for PostgreSQL 10
  pgTAP is a suite of database functions that make it easy to write
  TAP-emitting unit tests in psql scripts suitable for harvesting,
  analysis, and reporting by a TAP harness, such as those used in Perl
@@ -64,5 +64,5 @@
  .
  TAP is the Test Anything Protocol (http://testanything.org/).
  .
- This package contains the extension for PostgreSQL 9.6.
+ This package contains the extension for PostgreSQL 10.
