=== debian/changelog ===
pgtap (0.99.0-2.pgdg+2) sid-pgdg; urgency=medium

  * Rebuild for sid-pgdg.
  * No source changes.

 -- apt.postgresql.org autobuilder <pgsql-pkg-debian@postgresql.org>  Fri, 12 Oct 2018 22:44:47 +0200

pgtap (0.99.0-2) unstable; urgency=medium

  * Upload for PostgreSQL 11.

 -- Christoph Berg <myon@debian.org>  Fri, 12 Oct 2018 22:44:47 +0200

pgtap (0.99.0-1) unstable; urgency=medium

  * New upstream release.
  * Mark pgtap-doc as Multi-Arch: foreign.

 -- Christoph Berg <myon@debian.org>  Wed, 19 Sep 2018 17:52:38 +0200
