=== debian/control ===
--- 
+++ 
@@ -33,6 +33,7 @@
 Package: pgtap-doc
 Section: doc
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}
 Description: Unit testing framework for PostgreSQL - documentation
  pgTAP is a suite of database functions that make it easy to write
@@ -43,6 +44,94 @@
  TAP is the Test Anything Protocol (http://testanything.org/).
  .
  This package contains the documentation for pgTAP.
+
+Package: postgresql-9.3-pgtap
+Architecture: all
+Depends: ${shlibs:Depends}, ${misc:Depends},
+    ${perl:Depends},
+    postgresql-9.3
+Replaces: pgtap (<< 0.95)
+Breaks: pgtap (<< 0.95)
+Recommends: pgtap-doc,
+    libtap-parser-sourcehandler-pgtap-perl,
+    libtest-harness-perl,
+    libtap-harness-archive-perl
+Provides: postgresql-pgtap
+Description: Unit testing framework extension for PostgreSQL 9.3
+ pgTAP is a suite of database functions that make it easy to write
+ TAP-emitting unit tests in psql scripts suitable for harvesting,
+ analysis, and reporting by a TAP harness, such as those used in Perl
+ and PHP applications.
+ .
+ TAP is the Test Anything Protocol (http://testanything.org/).
+ .
+ This package contains the extension for PostgreSQL 9.3.
+
+Package: postgresql-9.4-pgtap
+Architecture: all
+Depends: ${shlibs:Depends}, ${misc:Depends},
+    ${perl:Depends},
+    postgresql-9.4
+Replaces: pgtap (<< 0.95)
+Breaks: pgtap (<< 0.95)
+Recommends: pgtap-doc,
+    libtap-parser-sourcehandler-pgtap-perl,
+    libtest-harness-perl,
+    libtap-harness-archive-perl
+Provides: postgresql-pgtap
+Description: Unit testing framework extension for PostgreSQL 9.4
+ pgTAP is a suite of database functions that make it easy to write
+ TAP-emitting unit tests in psql scripts suitable for harvesting,
+ analysis, and reporting by a TAP harness, such as those used in Perl
+ and PHP applications.
+ .
+ TAP is the Test Anything Protocol (http://testanything.org/).
+ .
+ This package contains the extension for PostgreSQL 9.4.
+
+Package: postgresql-9.5-pgtap
+Architecture: all
+Depends: ${shlibs:Depends}, ${misc:Depends},
+    ${perl:Depends},
+    postgresql-9.5
+Replaces: pgtap (<< 0.95)
+Breaks: pgtap (<< 0.95)
+Recommends: pgtap-doc,
+    libtap-parser-sourcehandler-pgtap-perl,
+    libtest-harness-perl,
+    libtap-harness-archive-perl
+Provides: postgresql-pgtap
+Description: Unit testing framework extension for PostgreSQL 9.5
+ pgTAP is a suite of database functions that make it easy to write
+ TAP-emitting unit tests in psql scripts suitable for harvesting,
+ analysis, and reporting by a TAP harness, such as those used in Perl
+ and PHP applications.
+ .
+ TAP is the Test Anything Protocol (http://testanything.org/).
+ .
+ This package contains the extension for PostgreSQL 9.5.
+
+Package: postgresql-9.6-pgtap
+Architecture: all
+Depends: ${shlibs:Depends}, ${misc:Depends},
+    ${perl:Depends},
+    postgresql-9.6
+Replaces: pgtap (<< 0.95)
+Breaks: pgtap (<< 0.95)
+Recommends: pgtap-doc,
+    libtap-parser-sourcehandler-pgtap-perl,
+    libtest-harness-perl,
+    libtap-harness-archive-perl
+Provides: postgresql-pgtap
+Description: Unit testing framework extension for PostgreSQL 9.6
+ pgTAP is a suite of database functions that make it easy to write
+ TAP-emitting unit tests in psql scripts suitable for harvesting,
+ analysis, and reporting by a TAP harness, such as those used in Perl
+ and PHP applications.
+ .
+ TAP is the Test Anything Protocol (http://testanything.org/).
+ .
+ This package contains the extension for PostgreSQL 9.6.
 
 Package: postgresql-10-pgtap
 Architecture: all
@@ -66,3 +155,25 @@
  .
  This package contains the extension for PostgreSQL 10.
 
+Package: postgresql-11-pgtap
+Architecture: all
+Depends: ${shlibs:Depends}, ${misc:Depends},
+    ${perl:Depends},
+    postgresql-11
+Replaces: pgtap (<< 0.95)
+Breaks: pgtap (<< 0.95)
+Recommends: pgtap-doc,
+    libtap-parser-sourcehandler-pgtap-perl,
+    libtest-harness-perl,
+    libtap-harness-archive-perl
+Provides: postgresql-pgtap
+Description: Unit testing framework extension for PostgreSQL 11
+ pgTAP is a suite of database functions that make it easy to write
+ TAP-emitting unit tests in psql scripts suitable for harvesting,
+ analysis, and reporting by a TAP harness, such as those used in Perl
+ and PHP applications.
+ .
+ TAP is the Test Anything Protocol (http://testanything.org/).
+ .
+ This package contains the extension for PostgreSQL 11.
+
