=== debian/tests/control ===
Depends: @, postgresql-server-dev-all, postgresql-contrib-9.3, postgresql-contrib-9.4, postgresql-contrib-9.5, postgresql-contrib-9.6, postgresql-contrib-10, postgresql-contrib-11, make, patch
Tests: installcheck
Restrictions: allow-stderr
