## pgtap 1.0.0

=== debian/changelog ===
pgtap (1.0.0-1.pgdg90+1) stretch-pgdg; urgency=medium

  * Rebuild for stretch-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Mon, 04 Mar 2019 13:48:55 +0100

pgtap (1.0.0-1) experimental; urgency=medium

  * New upstream release.

 -- Christoph Berg <myon@debian.org>  Mon, 04 Mar 2019 13:48:55 +0100
