=== debian/control ===
--- 
+++ 
@@ -44,28 +44,6 @@
  TAP is the Test Anything Protocol (http://testanything.org/).
  .
  This package contains the documentation for pgTAP.
-
-Package: postgresql-9.3-pgtap
-Architecture: all
-Depends: ${shlibs:Depends}, ${misc:Depends},
-    ${perl:Depends},
-    postgresql-9.3
-Replaces: pgtap (<< 0.95)
-Breaks: pgtap (<< 0.95)
-Recommends: pgtap-doc,
-    libtap-parser-sourcehandler-pgtap-perl,
-    libtest-harness-perl,
-    libtap-harness-archive-perl
-Provides: postgresql-pgtap
-Description: Unit testing framework extension for PostgreSQL 9.3
- pgTAP is a suite of database functions that make it easy to write
- TAP-emitting unit tests in psql scripts suitable for harvesting,
- analysis, and reporting by a TAP harness, such as those used in Perl
- and PHP applications.
- .
- TAP is the Test Anything Protocol (http://testanything.org/).
- .
- This package contains the extension for PostgreSQL 9.3.
 
 Package: postgresql-9.4-pgtap
 Architecture: all
